Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MissingClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingClassException

    public class MissingClassException
    extends GroovyRuntimeException

An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MissingClassException(java.lang.String type, ASTNode node, java.lang.String message)`
`MissingClassException(ClassNode type, java.lang.String message)`

Method Summary
`java.lang.String` | `getType()` @return The type that could not be resolved

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MissingClassException

    public MissingClassException(java.lang.String type, ASTNode node, java.lang.String message)

### MissingClassException

    public MissingClassException(ClassNode type, java.lang.String message)

Method Detail

### getType

    public java.lang.String getType()

  Returns:
    The type that could not be resolved

Groovy Documentation